#ifndef CMWMANUALHALFCUTKERF_H
#define CMWMANUALHALFCUTKERF_H

#include  "cmwidget.h"
namespace Ui {class CMWManualHalfCutKerf;};

class CMWManualHalfCutKerf : public CMWidget
{
	Q_OBJECT

public:
	CMWManualHalfCutKerf(QWidget *parent = 0);
	~CMWManualHalfCutKerf();


	virtual void MInit();


	virtual void MTimeFresh();


	virtual void MFresh();


	virtual void MApply();
private slots:
	void on_pushButton_CheckPos_clicked();

	void on_pushButton_ManualSet_clicked();

	void on_btnTestCur_clicked();

	void on_pushButton_N5_clicked();

	void on_pushButton_N1_clicked();


	void on_pushButton_P1_clicked();

	void on_pushButton_P5_clicked();


	void on_pushButton_Test_clicked();

	void on_pushButton_N5_binary_clicked();

	void on_pushButton_N1_binary_clicked();

	void on_pushButton_Test_binary_clicked();

	void on_pushButton_P1_binary_clicked();

	void on_pushButton_P5_binary_clicked();
private:
	int32_t m_iCurSideID;
	int32_t m_iCurCamID;
	int32_t m_iCurLayer;
	QString strCurFile;
private:
	Ui::CMWManualHalfCutKerf *ui;
	void TestKerf(int offset);
	void TestBinary(int offset);
};

#endif // CMWMANUALHALFCUTKERF_H
